	; Ejemplo 6: Prueba de llamadas al sistema

	;Nombre del fichero
	.global cam
cam:	.asciiz	"pruebas.cop"
	.global desc
desc:	.space	4
	.global cad
cad:	.ascii	"Linea de ejemplo"
	.global fin
fin:	.space 1
	.align 4

start:			;Inicializaciones para la trap 1
	addi r14, r0,0x0200		;Direccin a partir de la cual se
				;almacenan los parmetros de la trap
	addi r5, r0, cam		;Direccin donde se encuentra el nombre
				;del fichero (primer parmetro)
	sw 0(r14), r5	;Almacenar primer parmetro
	addi r5, r0, 258	;Segundo parmetro (acceso)
	sw 4(r14), r5	;Almacenamos el segundo parmetro
	addi r5, r0, 128	;Tercer parmetro (modo)
	sw 8(r14), r5	;Almacenamos el tercer parmetro
	trap	1	;Llamada al sistema open(...)
	sw desc(r0), r1	;Guardamos el descriptor de fichero que nos devuelve
			;la llamada al sistema

			;Inicializaciones para la trap 4
	add r5, r0, r1	;Primer parmetro (descriptor de fichero en el que escribir)
	sw 0(r14), r5	;Almacenamos el primer parmetro
	addi r5, r0, cad	;Segundo parmetro (direccin de la cadena a escribir)
	sw 4(r14), r5	;Almacenamos el segundo parmetro
	addi r5, r0, 16	;Tercer Parmetro (Nmero de bytes a escribir)
	sw 8(r14), r5	;Almacenamos el tercer parmetro
	trap	4	;Llamada al sistema write(...)

			;Inicializaciones para la trap 2
	lw r1, desc(r0)	;Cargamos el descriptor de fichero
	add r5, r0, r1	;Primer parmetro (descriptor del fichero a cerrar)
	sw 0(r14), r5	;Almacenamos el primer parmetro
	trap	2	;Llamada al sistema close(...)

	trap 0		;Finalizar programa