.global _exit
.global _open
.global _close
.global _read
.global _write
.global _printf
.global _c

_c:
	.byte 97
	.byte 98
	.byte 99
	.byte 100
	.byte 101
	.byte 102
	.byte 103
	.byte 104
	.byte 105
	.byte 106

LC0:
	.ascii "foo\0"
LC1:
	.ascii "N = %d\12\0"
	.align 4
.global _main
_main:
	;; Initialize Stack Pointer
	add r14,r0,r0
	lhi r14, ((memSize-4)>>16)&0xffff
	addui r14, r14, ((memSize-4)&0xffff)
	;; Save the old frame pointer 
	sw -4(r14),r30
	;; Save the return address 
	sw -8(r14),r31
	;; Establish new frame pointer 
	add r30,r0,r14
	;; Adjust Stack Pointer 
	add r14,r14,#-48
	;; Save Registers 
	sw 0(r14),r3
	sw 4(r14),r4
	sw 8(r14),r5
	sub r14,r14,#16
	lhi r5,(LC0>>16)&0xffff
	addui r5,r5,(LC0&0xffff)
	sw 0(r14),r5
	addi r5,r0,#258    ;modificado para funcionar en PC (antes: 257)
	sw 4(r14),r5
	addi r5,r0,#128	   ;modificado para funcionar en PC (antes: 420)
	sw 8(r14),r5
	jal _open
	nop
	sw -28(r30),r1
	sw -20(r30),r0
	sw -12(r30),r0
	add r14,r14,#16
L2:
	lw r3,-12(r30)
	addi r4,r0,#4
		;cmpsi	r3,r4
	sgt	r1,r3,r4
	bnez	r1,L3
	nop
	sub r14,r14,#16
	lw r5,-28(r30)
	sw 0(r14),r5
	lhi r5,(_c>>16)&0xffff
	addui r5,r5,(_c&0xffff)
	sw 4(r14),r5
	addi r5,r0,#10
	sw 8(r14),r5
	jal _write
	nop
	add r3,r0,r1
	lw r4,-20(r30)
	add r3,r4,r3
	sw -20(r30),r3
	add r14,r14,#16
L4:
	lw r3,-12(r30)
	lw r3,-12(r30)
	add r3,r3,#1
	sw -12(r30),r3
	j L2
	nop
L3:
	sub r14,r14,#8
	lhi r5,(LC1>>16)&0xffff
	addui r5,r5,(LC1&0xffff)
	sw 0(r14),r5
	lw r5,-20(r30)
	sw 4(r14),r5
	jal _printf
	nop
	sub r14,r14,#0
	lw r5,-28(r30)
	sw 0(r14),r5
	jal _close
	nop
	sub r14,r14,#0
	addi r5,r0,#4
	sw 0(r14),r5
	jal _exit
	nop
	add r14,r14,#8
L1:
	;; Restore the saved registers
	lw r3,-48(r30)
	nop
	lw r4,-44(r30)
	nop
	lw r5,-40(r30)
	nop
	;; Restore return address
	lw r31,-8(r30)
	nop
	;; Restore stack pointer
	add r14,r0,r30
	;; Restore frame pointer
	lw r30,-4(r30)
	nop
	;; HALT
	jal _exit
	nop

_exit:
	trap #0
	jr r31
	nop
_open:
	trap #1
	jr r31
	nop
_close:
	trap #2
	jr r31
	nop
_read:
	trap #3
	jr r31
	nop
_write:
	trap #4
	jr r31
	nop
_printf:
	trap #5
	jr r31
	nop
