// ObjectWindows - (C) Copyright 1992 by Borland International

#ifndef __FEDIT_H
#define __FEDIT_H


#ifndef __STATIC_H
#include <static.h>
#endif

#pragma option -Vo-
#if     defined(__BCOPT__) && !defined(_ALLOW_po)
#pragma option -po-
#endif

_CLASSDEF(TFEdit)

  /* TFEdit */
class _EXPORT TFEdit : public TEdit
{
public:

    HFONT Fuente;

    TEdit(PTWindowsObject AParent, int AnId, LPSTR AText, int X,
	  int Y, int W, int H, WORD ATextLen, BOOL Multiline,
	  PTModule AModule = NULL);
    TEdit(PTWindowsObject AParent, int ResourceId, WORD ATextLen,
	  PTModule AModule = NULL);

protected:
    virtual LPSTR GetClassName()
	{ return "FEDIT"; }
    virtual void SetupWindow();
    virtual const Pchar streamableName() const
	{ return "TFEdit"; }
};

inline Ripstream operator >> ( Ripstream is, RTFEdit cl )
    { return is >> (RTStreamable )cl; }
inline Ripstream operator >> ( Ripstream is, RPTFEdit cl )
    { return is >> (RPvoid)cl; }

inline Ropstream operator << ( Ropstream os, RTFEdit cl )
    { return os << (RTStreamable )cl; }
inline Ropstream operator << ( Ropstream os, PTFEdit cl )
    { return os << (PTStreamable )cl; }

#pragma option -Vo.
#if     defined(__BCOPT__) && !defined(_ALLOW_po)
#pragma option -po.
#endif

#endif
