/*
 * sim.h --
 *
 *	Declaraciones estructuras y variables comunes a los modulos
 *	sim.c y sim2.c.
 *
 * Copyright 1989 Regents of the University of California
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  The University of California
 * makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 *
 */

/****************************************************************
 * PROYECTO FINAL DE CARRERA:		        		*
 *	Simulador Vectorial para PC bajo entorno Windows	*
 * 		                                		*
 *      Autor: Roberto Calpe Lorenzo				*
 *                                                              *
 ****************************************************************/

/*
 * El siguiente valor es utilizado para manejar todos los casos especiales
 * que se puedan dar durante la simulacion. El simulador normalmente ejecuta
 * de una manera muy rapida ignorando todos los casos especiales. Sin embargo,
 * despues de ejecutar cada instruccion comprueba el numero de serie actual
 * (# total de instrucciones ejecutadas) con la variableb abajo definida. Si
 * ese numero de serie ha sido ejecutado, entonces el simulador hace una pausa
 * para comprobar todas las posibles condiciones especiales (stops, llamadas
 * retrasadas, errores, etc.). Por lo tanto cualquiera que quiera que una
 * condicion especial sea manejada debe asegurarse de poner en checkNum el
 * valor adecuado de manera que el codigo asociado a esa condicion especial
 * sea ejecutado. Esto hace que el simulador pueda verificar las condiciones
 * especiales de una forma muy rapida.
 */

static long int checkNum;